Subject: Re: [PATCH v2 net-next 0/6] Remove uses of kmap_atomic()

From: "Fabio M. De Francesco" <[email-masked]>
Date: Fri, 25 Nov 2022 16:47:55 +0100

On mercoledì 23 novembre 2022 21:52:13 CET Anirudh Venkataramanan wrote:
> kmap_atomic() is being deprecated. This little series replaces the last
> few uses of kmap_atomic() in the networking subsystem.
> 
> This series triggered a suggestion [1] that perhaps the Sun Cassini,
> LDOM Virtual Switch Driver and the LDOM virtual network drivers should be
> removed completely. I plan to do this in a follow up patchset. For
> completeness, this series still includes kmap_atomic() conversions that
> apply to the above referenced drivers. If for some reason we choose to not
> remove these drivers, at least they won't be using kmap_atomic() anymore.
> 
> Also, the following maintainer entries for the Chelsio driver seem to be
> defunct:
> 
>   Vinay Kumar Yadav <[email-masked]>
>   Rohit Maheshwari <[email-masked]>
> 
> I can submit a follow up patch to remove these entries, but thought
> maybe the folks over at Chelsio would want to look into this first.
> 
> Changes v1 -> v2:
>   Use memcpy_from_page() in patches 2/6 and 4/6
>   Add new patch for the thunderbolt driver
>   Update commit messages and cover letter
> 
> [1]
> https://lore.kernel.org/netdev/[email-masked]
> /T/#m3da3759652a48f958ab852fa5499009b43ff8fdd
> 
> Anirudh Venkataramanan (6):
>   ch_ktls: Use memcpy_from_page() instead of k[un]map_atomic()
>   sfc: Use kmap_local_page() instead of kmap_atomic()
>   cassini: Use page_address() instead of kmap_atomic()
>   cassini: Use memcpy_from_page() instead of k[un]map_atomic()
>   sunvnet: Use kmap_local_page() instead of kmap_atomic()
>   net: thunderbolt: Use kmap_local_page() instead of kmap_atomic()
> 
>  .../chelsio/inline_crypto/ch_ktls/chcr_ktls.c | 26 +++++-----
>  drivers/net/ethernet/sfc/tx.c                 |  4 +-
>  drivers/net/ethernet/sun/cassini.c            | 48 ++++++-------------
>  drivers/net/ethernet/sun/sunvnet_common.c     |  4 +-
>  drivers/net/thunderbolt.c                     |  8 ++--
>  5 files changed, 35 insertions(+), 55 deletions(-)
> 
> 
> base-commit: e80bd08fd75a644e2337fb535c1afdb6417357ff
> --
> 2.37.2

I noticed too late that your patches were already applied. The message from 
the patchwork bot was the latest. I'm sorry for the noise: my tags were 
unnecessary but I didn't yet know :-(

However, again thanks for helping with these conversions,

Fabio